StandardSessionFacade (Catalina Internal API Documentation)
Keywords: org.apache.catalina.session.StandardSessionFacade class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.session
Class StandardSessionFacade

    java.lang.Object
      org.apache.catalina.session.StandardSessionFacade

All Implemented Interfaces:
  javax.servlet.http.HttpSession

public class StandardSessionFacade
extends java.lang.Object
implements javax.servlet.http.HttpSession

Facade for the StandardSession object.

Version:
  $Revision: 289087 $ $Date: 2005-02-14 16:21:41 -0500 (Mon, 14 Feb 2005) $
Author:
  Remy Maucherat

Constructor Summary
`StandardSessionFacade(javax.servlet.http.HttpSession session)` Construct a new session facade.
`StandardSessionFacade(org.apache.catalina.session.StandardSession session)` Construct a new session facade.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`long` | `getCreationTime()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSessionContext` | `getSessionContext()`
`java.lang.Object` | `getValue(java.lang.String name)`
`java.lang.String[]` | `getValueNames()`
`void` | `invalidate()`
`boolean` | `isNew()`
`void` | `putValue(java.lang.String name, java.lang.Object value)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `removeValue(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setMaxInactiveInterval(int interval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardSessionFacade

    public StandardSessionFacade(org.apache.catalina.session.StandardSession session)

  Construct a new session facade.

### StandardSessionFacade

    public StandardSessionFacade(javax.servlet.http.HttpSession session)

  Construct a new session facade.

Method Detail

### getCreationTime

    public long getCreationTime()

  Specified by:
    `getCreationTime` in interface `javax.servlet.http.HttpSession`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `javax.servlet.http.HttpSession`

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `javax.servlet.http.HttpSession`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.http.HttpSession`

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)

  Specified by:
    `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

### getSessionContext

    public javax.servlet.http.HttpSessionContext getSessionContext()

  Specified by:
    `getSessionContext` in interface `javax.servlet.http.HttpSession`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `javax.servlet.http.HttpSession`

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Specified by:
    `getValue` in interface `javax.servlet.http.HttpSession`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.http.HttpSession`

### getValueNames

    public java.lang.String[] getValueNames()

  Specified by:
    `getValueNames` in interface `javax.servlet.http.HttpSession`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Specified by:
    `setAttribute` in interface `javax.servlet.http.HttpSession`

### putValue

    public void putValue(java.lang.String name,
                         java.lang.Object value)

  Specified by:
    `putValue` in interface `javax.servlet.http.HttpSession`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `javax.servlet.http.HttpSession`

### removeValue

    public void removeValue(java.lang.String name)

  Specified by:
    `removeValue` in interface `javax.servlet.http.HttpSession`

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `javax.servlet.http.HttpSession`

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `javax.servlet.http.HttpSession`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.